#!/bin/sh

# this script will create screenshot of each virtual page in fvwm
#   then it will merge them into one big jpg
#   then it will switch to Sx Sy page and open screenshot with Start_viewer
#   fvwm function
#
# this script requires fvwm module FvwmCommandS to be loaded
# 
# To integrate in Fvwm, you can do something like this
# 
# Exec exec $[FVWM_SCRIPTS]/RealBigScreenshot.sh $[desk.pagesx] $[desk.pagesy] $[page.nx] $[page.ny]

X=${1:-"1"}	# page count X
Y=${2:-"1"} # page count Y
Sx=${3:-"0"}	# from which pagex we ran this scipt
Sy=${4:-"0"}	# from which pagey we ran this scipt
EXEC=${5:-"exec gpicview"}

for y in `jot $Y 0`; do
	for x in `jot $X 0`; do
		FvwmCommand "GotoPage $x $y"
		sleep 1
		./Magick.sh import -silent -quality 95 -window root /tmp/$$_x${x}_y${y}.jpg
		xnames="$xnames /tmp/$$_x${x}_y${y}.jpg"
	done

	./Magick.sh convert +append $xnames /tmp/$$_y${y}.jpg
	rm -f $xnames
	xnames=""
	ynames="$ynames /tmp/$$_y${y}.jpg"
done

if [ ! -d ${HOME}/pic/screenshots ]; then
	mkdir -pf ${HOME}/pic/screenshots
fi

fileName="${HOME}/pic/screenshots/$(date '+%Y.%m.%d_at_%H.%M.%S')-RealBig.jpg"
./Magick.sh convert -append $ynames $fileName
rm -f $ynames


FvwmCommand "GotoPage $Sx $Sy"

$EXEC "$fileName"

exit

# vim:tabstop=4:shiftwidth=4:
