#!/bin/sh


OS=`uname`

echo "DestroyMenu $1"
echo "AddToMenu $1"
echo "+ \"RECACHE DIR\" DestroyMenu $1"
echo '+ "" Nop'
echo '+ MissingSubmenuFunction MakeMissingGeneralFileMenu'

pic_cache=$HOME/.thumbnails/fvwm
[ -d $pic_cache ] || mkdir -p $pic_cache

ls "$1" | while read fileName; do
	if [ -d "$1/$fileName" ]; then
		echo "+ \"%stock_folder.png%$fileName\" popup $1/$fileName"
	else
		biFileType=$(file -ib "$1/$fileName")
		case $biFileType in
			'application/pdf' )
				echo "+ \"%x-office-document.png%$fileName\" function Start_pdf_viewer"
			;;

			'application/octet-stream' )
				echo "+ \"%sound.png%$fileName\" function player_play_file $1/$fileName"
			;;

			'video'* )
				echo "+ \"%sound.png%$fileName\" function player_play_file $1/$fileName"
			;;

			'application/x-shellscript' )
				echo "+ \"%txt.png%$fileName\" function Start_editor $1/$fileName"
				;;

			'text'* )
				echo "+ \"%txt.png%$fileName\" Function Start_editor $1/$fileName"
			;;

			'image'* )
				checksum=$(openssl md5 "$1/$fileName" | awk '{print $2}')
				if [ ! -f "$pic_cache/$checksum.png" ]; then
					convert "$1/$fileName" -scale 64 -quality 90 "$pic_cache/$checksum.png"
				fi
				menu_name="Menu_$(echo \"$1/$fileName\" | sed -e 's#/#____#g' )"
				echo "+ \"%$pic_cache/$checksum.png%$fileName\" popup $menu_name"
				echo "DestroyMenu $menu_name"
				echo "AddToMenu $menu_name"
				echo "+ \"%gimp.png%Edit\" function start_image_editor \"$1/$fileName\""
				echo "+ \"%eog.png%View\" function start_viewer \"$1/$fileName\""
				echo "+ \"%wallpaper.png%Set as wallpaper\" function set_wallpaper \"$1/$fileName\""
				echo "AddToMenu $1"
			;;

			* )
				echo '+ "'$fileName'" Nop'
		esac
	fi
done

exit 0

# vim:tabstop=4:shiftwidth=4:
