#!/bin/sh
PREFIX=/usr/local/bin

DMENU="dmenu -b -nb #3F3F3F -nf #ffffff -fn -misc-fixed-medium-r-normal-*-14-*-*-*-*-*-iso10646-1"
MY_EDITOR="$UTERM -e vim"

# MAIN MENU {{{1
selection=`{
	[ -f $PREFIX/urxvtc ] &&				echo 'term'
	[ -f $PREFIX/opera ] &&					echo 'opera'
	[ -f $PREFIX/firefox ] &&				echo 'firefox'
	[ -f $PREFIX/urxvt ] &&					echo 'urxvt'
	[ -f $PREFIX/vim ] &&					echo 'vim'
	[ -f $PREFIX/openoffice.org-3.3.0 ] &&	echo 'openoffice'
	[ -f $PREFIX/libreoffice ] &&			echo 'libreoffice'
	[ -f $PREFIX/gimp ] &&					echo 'gimp'
	[ -f $PREFIX/inkscape ] &&				echo 'inkscape'
	[ -f $PREFIX/keepassx ] &&				echo 'keepassx'
	[ -f $PREFIX/gpicview ] &&				echo 'gpicview'
	[ -f $PREFIX/epdfview ] &&				echo 'epdfview'
	[ -f $PREFIX/xpdf ] &&					echo 'xpdf'
	[ -f $PREFIX/mirage ] &&				echo 'mirage'
	[ -f $PREFIX/VirtualBox ] &&			echo 'virtualbox'
	[ -f $PREFIX/vncviewer ] &&				echo 'vncviewer'
	[ -f $PREFIX/tkremind ] &&				echo 'remind'
	[ -f $PREFIX/irssi ] &&					echo 'irssi'
	[ -f $PREFIX/audacious ] &&				echo 'audacious'
	[ -f $PREFIX/mutt ] &&					echo 'mutt'
	[ -f $PREFIX/gcalctool ] && 			echo 'gcalctool'
	[ -f $PREFIX/wireshark ] && 			echo 'wireshark'
											echo 'calc'
	[ -f $PREFIX/scilab ] &&				echo 'scilab'
	[ -f $PREFIX/djview ] &&				echo 'djview'
	[ -f $PREFIX/qtcreator ] &&				echo 'qtcreator'
	[ -f $PREFIX/designer-qt4 ] &&			echo 'designer-qt4'
	[ -f $PREFIX/pgadmin3 ] &&				echo 'pgadmin'
	[ -f $PREFIX/sqliteman ] &&				echo 'sqliteman'
	[ -f $PREFIX/gpa ] &&					echo 'gpa'
	[ -f $PREFIX/xfontsel ] &&				echo 'xfontsel'
	[ -f $PREFIX/gcolor2 ] &&				echo 'gcolor2'
	[ -f $PREFIX/gnuplot ] &&				echo 'gnuplot'
	[ -f $PREFIX/mathomatic ] &&			echo 'mathomatic'
	[ -f $PREFIX/xterm ] &&					echo 'xterm'
	[ -f $PREFIX/transmission-qt ] &&		echo 'transmission-qt'
	[ -f $PREFIX/transmission-gtk ] &&		echo 'transmission-gtk'
	[ -f $PREFIX/pidgin ] &&				echo 'pidgin'
	[ -f $PREFIX/xchat ] &&					echo 'xchat'
	[ -f $PREFIX/dia ] &&					echo 'dia'
	[ -f $PREFIX/lyx ] &&					echo 'lyx'

	[ -f $PREFIX/audacious ] &&				echo 'next'
	[ -f $PREFIX/audacious ] &&				echo 'previous'
	[ -f $PREFIX/audacious ] &&				echo 'pause'
	[ -f $PREFIX/setxkbmap ] &&				echo 'ru'
	[ -f $PREFIX/setxkbmap ] &&				echo 'ru (std)'
	[ -f $PREFIX/setxkbmap ] &&				echo 'lv'
	[ -f $PREFIX/setxkbmap ] &&				echo 'лж'
	[ -f $PREFIX/setxkbmap ] &&				echo 'дм'

	[ -f $PREFIX/vim ] &&					echo 'config'

	# ==========================================================
	[ -f $PREFIX/xlock ] &&					echo 'lock'
											echo 'SHUTDOWN'
											echo 'REBOOT'

} | $DMENU`

case $selection in
	'' ) ;;
	'vim' )					exec $UTERM -name vim -e vim & ;;
	'transmission' )		exec transmission-gtk & ;;
	'openoffice' )			exec openoffice.org-3.3.0 & ;;
	'virtualbox' )			exec VirtualBox & ;;
	'remind' )				exec tkremind & ;;
	'irssi' )				exec $UTERM -name irssi -e irssi & ;;
	'mutt' )				exec $UTERM -name mutt -e mutt & ;;
	'ru' )					exec setxkbmap ru phonetic & ;;
	'ru (std)' )			exec setxkbmap ru & ;;
	'lv' | 'лж' | 'дм' )	exec setxkbmap lv & ;;
	'calc' )				exec $UTERM -name bc -e bc -l & ;;
	'scilab' )				exec $UTERM -name scilab -e scilab -nwni -nb & ;;
	'pgadmin' )				exec pgadmin3 & ;;
	'gnuplot' )				exec $UTERM -name gnuplot -e gnuplot & ;;
	'mathomatic' )			exec $UTERM -name mathomatic -e mathomatic & ;;
	'lock' )				exec xlock -allowroot & ;;
	'SHUTDOWN' )			exec /sbin/shutdown -p now & ;;
	'REBOOT' )				exec /sbin/shutdown -r now & ;;
	'term' )				exec $UTERM & ;;
	'config' )				exec $MY_EDITOR ~/.fvwm/bin/menu.sh & ;;
	'next' )				exec audacious --fwd & ;;
	'previous' )			exec audacious --rev & ;;
	'pause' )				exec audacious --play-pause & ;;
	*)						exec $selection & ;;
esac
# 1}}}

# vim: set ts=4 sw=4:
