#!/bin/sh

# Copyright (c) 2010, Aldis Berjoza <aldis@bsdroot.lv>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
# 
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above
#    copyright notice, this list of conditions and the following disclaimer
#    in the documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the  nor the names of its
#    contributors may be used to endorse or promote products derived from
#    this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# arg1 - encoded dir
# arg2 - can be used to set menu name manually (useful if you want to
#	create last played menu for example

decoded="$(echo "$1" | sed -e "s/%27/'/g" -e 's/%22/"/g' -e 's/%60/`/g' -e 's/%25/%/g' -e 's#^*/#/#' )"
if [ -d "$decoded" -o -f "$decoded" ]; then
	menuName="${2:-"$1"}"

	MUSIC_FILE_FORMATS='mp3|flac|og[agxmv]|wv|aac|mp[421a]|wav|aif[cf]?|m4[abpr]|ape|mk[av]|avi|mpf|vob|di?vx|mpga?|mov|3gp|wm[av]|midi?'
	PLAYLIST_FILE_FORMATS='pls|m3u8?|asx|xspf|ram|plst'


	echo "DestroyMenu '$menuName'"
	echo "AddToMenu '$menuName'"
	[ -d "$decoded" ] \
		&& { 
			[ "$2" ] \
				&& echo "	+ '%media-playback-start.png%PLAY DIR'	Function PlayerPlay '$decoded' False" \
				|| echo "	+ '%media-playback-start.png%PLAY DIR'	Function PlayerPlay '$decoded' True"
			}
	echo "	+ '%list-add.png%QUEUE 2 PLAYLIST'		Function PlayerAppend '$decoded'"
	echo "	+ '' Nop"
	echo "	+ '%view-refresh.png%REFRESH' 			DestroyMenu '$menuName'"
	echo "  + 'TearOff'								TearMenuOff"
	echo "	+ '' Nop"
	[ "$2" ] \
		&& echo "	+ MissingSubmenuFunction MakeMissingPlayedMusicMenu" \
		|| echo "	+ MissingSubmenuFunction MakeMissingMusicMenu"

	ls "$decoded" | while read fileName; do
		if [ -f "$decoded/$fileName" -o -f "$decoded" ]; then
			echo "${fileName##*.}" | grep -i -E -e "^(${MUSIC_FILE_FORMATS}|${PLAYLIST_FILE_FORMATS})$" 2> /dev/null > /dev/null \
				&& {
					menuFileName=$(echo "$fileName" | tr -d \' | sed -e 's#^.*/##' -e 's/_/ /g' -E -e "s#\.(${MUSIC_FILE_FORMATS}|${PLAYLIST_FILE_FORMATS})\$##")
					[ "$2" ] \
						&& echo "	+ '%sound.png%&$menuFileName'	 Function PlayerPlay '$decoded/$fileName' False" \
						|| echo "	+ '%sound.png%&$menuFileName'	 Function PlayerPlay '$decoded/$fileName' True"
				}
		elif [ -d "$decoded/$fileName" ]; then
			encoded="$(echo "$fileName" | sed -e "s/'/%27/g" -e 's/"/%22/g' -e 's/`/%60/g' -e 's/%/%25/g')"
			menuFileName=$(echo "$fileName" | tr -d \' | sed -e 's/_/ /g')
			[ "$2" ] \
				&& echo "	+ '%stock_folder.png%&$menuFileName'	popup '$1/$encoded' '$1/$encoded'" \
				|| echo "	+ '%stock_folder.png%&$menuFileName'	popup '$1/$encoded'"
		fi
	done
fi

exit 0

# vim:ts=4:sw=4
